Name: python-module-pygtk
Version: 2.3.94
Release: alt1

Summary: Python bindings for the GTK+ widget set

Group: Development/Python
License: LGPL
Url: http://www.pygtk.org/

Source: http://ftp.gnome.org/pub/GNOME/sources/pygtk/2.2/pygtk-%version.tar.bz2
#Patch: pygtk-%version-glade.patch

%setup_python_module pygtk
%define python_libdir %_libdir/python%__python_version
%define python_site_packages_dir %python_libdir/site-packages

%add_python_req_skip gdk
%add_python_lib_path  %python_site_packages_dir/gtk-2.0

Provides: pygtk2 = %version-%release
Obsoletes: pygtk2

# manually removed: eric gcc-g77 
# Automatically added by buildreq on Tue Jul 13 2004
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glib2-devel gtkglarea2-devel hostinfo libGLU-devel libatk-devel libglade2-devel libgtk+2-devel libpango-devel libstdc++-devel libxml2-devel pkgconfig python-Numeric-devel python-base python-dev python-modules-compiler python-modules-encodings

%description
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all the benefits of python.


%package libglade
Summary: A wrapper for the libglade library for use with PyGTK
Group: Development/Python
Requires: %name = %version-%release libglade2
Provides: pygtk2-libglade
Obsoletes: pygtk2-libglade

%description libglade
This module contains a wrapper for the libglade library.  Libglade allows
a program to construct its user interface from an XML description, which
allows the programmer to keep the UI and program logic separate.


%package devel
Summary: files needed to build wrappers for GTK+ addon libraries
Group: Development/Python
Requires: %name = %version-%release
Provides: pygtk2-devel
Obsoletes: pygtk2-devel

%description devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.


%package examples
Summary: pygtk2 examples
Group: Development/Python
Requires: %name-libglade = %version-%release
Provides: pygtk2-examples
Obsoletes: pygtk2-examples

%description examples
This package contains pygtk2 examples

%prep
%setup -q -n pygtk-%version
#%patch 
%__subst 's,\.la,\.so,' configure

%build
%configure --disable-static --prefix=%prefix
%make_build

%install
%makeinstall
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%files
%doc AUTHORS INSTALL NEWS README MAPPING ChangeLog PKG-INFO THREADS TODO
%python_site_packages_dir/gtk-2.0
%exclude %python_site_packages_dir/gtk-2.0/gtk/glade.so
%python_site_packages_dir/pygtk.*

%files examples
%doc examples/*

%files libglade
%python_site_packages_dir/gtk-2.0/gtk/glade.so

%files devel
%_bindir/pygtk-codegen-2.0
%prefix/include/pygtk-2.0
%_libdir/pkgconfig/pygtk-2.0.pc
%prefix/share/pygtk

%changelog
* Fri Jul 23 2004 Vitaly Lipatov <lav@altlinux.ru> 2.3.94-alt1
- new version

* Fri Jul 23 2004 Vitaly Lipatov <lav@altlinux.ru> 2.3.93-alt2
- backport libglade from 2.3.92 (broken XML)

* Tue Jul 20 2004 Vitaly Lipatov <lav@altlinux.ru> 2.3.93-alt1
- new version

* Thu Jul 15 2004 Vitaly Lipatov <lav@altlinux.ru> 2.3.92-alt1
- new version (from unstable 2.4)

* Tue Jul 13 2004 Vitaly Lipatov <lav@altlinux.ru> 2.2.0-alt1
- renamed
- spec cleanup (according to python policy)
- remove COPYING
- new version
- 

* Mon Feb 09 2004 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt5
- python23 build
- separate package for examples
- changed group to Development/Python
- added gl.so

Packager: Egor S. Orlov
* Wed Oct 29 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt4
- Added python22 requires
- Aded _gtk.so to the package

* Thu Oct 23 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt3
- Added URL

* Thu Oct 23 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt2
- hasher build
- added gtkglarea2(-devel) dependency

* Mon Sep 29 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt1
- New version

* Tue Nov 12 2002 AEN <aen@altlinux.ru> 1.99.12-alt1
- first build for Sisyphus

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- rebuild for multilib
- use %%configure

* Fri Aug 30 2002 Matt Wilson <msw@redhat.com>
- fix pixbuf leaks (#72137)
- five more pixbuf leaks plugged

* Wed Aug 28 2002 Jonathan Blandford <jrb@redhat.com>
- remover Packager tag

* Tue Aug 27 2002 Jonathan Blandford <jrb@redhat.com>
- add binding for gdk_atom_intern

* Mon Jul 29 2002 Matt Wilson <msw@redhat.com>
- 0.99.12

* Wed Jul 17 2002 Matt Wilson <msw@redhat.com>
- new version from CVS

* Thu Jun 27 2002 Tim Waugh <twaugh@redhat.com>
- Fix bug #65770.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 17 2002 Matt Wilson <msw@redhat.com>
- new version from CVS

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Jeremy Katz <katzj@redhat.com>
- 1.99.10

* Wed Feb 27 2002 Matt Wilson <msw@redhat.com>
- 1.99.8

* Mon Jan 28 2002 Matt Wilson <msw@redhat.com>
- added atkmodule.so to file list

* Thu Oct 18 2001 Matt Wilson <msw@redhat.com>
- fix devel filelist to match new header location

* Mon Oct 15 2001 Matt Wilson <msw@redhat.com>
- get the headers from their new version-specific location

* Thu Oct 11 2001 Matt Wilson <msw@redhat.com>
- fixed typo in devel filelist
- added macro that tests to see if we have libglade2, make the
  filelist a condition of that
- changed name to 'pygtk2' to avoid name conflict with pygtk
